Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.seq
Class SEQAudioCommand

    java.lang.Object
      org.monte.media.seq.SEQAudioCommand

    public class SEQAudioCommand

extends java.lang.Object

An SEQAudioCommand handles an audio command that is associated to a single frame of a SEQMovieTrack. This class is currently unused.

Version:
  1.0 2010-12-25 Created.
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland

Field Summary
`static int` | `COMMAND_PLAY_SOUND` Start playing a sound.
`static int` | `COMMAND_SET_FREQVOL` Change frequency/volume for a channelMask.
`static int` | `COMMAND_STOP_SOUND` Stop the sound in a given channelMask.
`static int` | `FLAG_NO_INTERRUPT` Play the sound, but only if the channelMask isn't in use.

Constructor Summary
`SEQAudioCommand(int command, int volume, int sound, int repeats, int channelMask, int frequency, int flags)` Creates a new instance.

Method Summary
`void` | `dispose()`
`void` | `doCommand(SEQMovieTrack track, SEQAudioCommand[] runningCommands)`
`int` | `getChannelMask()`
`int` | `getCommand()`
`int` | `getFrequency()`
`int` | `getSound()`
`int` | `getVolume()`
`void` | `play(SEQMovieTrack track)`
`void` | `prepare(SEQMovieTrack track)`
`void` | `stop(SEQMovieTrack track)`
`void` | `stop(SEQMovieTrack track, int channelMask)` Stops playback of this audio command on the specified channels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_PLAY_SOUND

    public static final int COMMAND_PLAY_SOUND

  Start playing a sound.

  See Also:
    Constant Field Values

### COMMAND_STOP_SOUND

    public static final int COMMAND_STOP_SOUND

  Stop the sound in a given channelMask.

  See Also:
    Constant Field Values

### COMMAND_SET_FREQVOL

    public static final int COMMAND_SET_FREQVOL

  Change frequency/volume for a channelMask.

  See Also:
    Constant Field Values

### FLAG_NO_INTERRUPT

    public static final int FLAG_NO_INTERRUPT

  Play the sound, but only if the channelMask isn't in use.

  See Also:
    Constant Field Values

Constructor Detail

### SEQAudioCommand

    public SEQAudioCommand(int command,
                           int volume,
                           int sound,
                           int repeats,
                           int channelMask,
                           int frequency,
                           int flags)

  Creates a new instance.

Method Detail

### getChannelMask

    public int getChannelMask()

### getFrequency

    public int getFrequency()

### getSound

    public int getSound()

### getVolume

    public int getVolume()

### getCommand

    public int getCommand()

### prepare

    public void prepare(SEQMovieTrack track)

### play

    public void play(SEQMovieTrack track)

### stop

    public void stop(SEQMovieTrack track)

### stop

    public void stop(SEQMovieTrack track,
                     int channelMask)

  Stops playback of this audio command on the specified channels.

### doCommand

    public void doCommand(SEQMovieTrack track,
                          SEQAudioCommand[] runningCommands)

### dispose

    public void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD